com.independentsoft.exchange

## Enum UserConfigurationDictionaryObjectType

- java.lang.Object
- - java.lang.Enum<UserConfigurationDictionaryObjectType>
  - - com.independentsoft.exchange.UserConfigurationDictionaryObjectType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<UserConfigurationDictionaryObjectType>

      public enum UserConfigurationDictionaryObjectType
      extends java.lang.Enum<UserConfigurationDictionaryObjectType>

  Specifies a dictionary object type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` A Boolean type.
    `BYTE` A byte type.
    `BYTE_ARRAY` A byte array type.
    `DATE_TIME` A DateTime type.
    `INTEGER32` A 32-bit integer type.
    `INTEGER64` A 64-bit integer type.
    `STRING` A string type.
    `STRING_ARRAY` A string array type.
    `UNSIGNED_INTEGER32` A 32-bit unsigned integer type.
    `UNSIGNED_INTEGER64` A 64-bit unsigned integer type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserConfigurationDictionaryObjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UserConfigurationDictionaryObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DATE_TIME

          public static final UserConfigurationDictionaryObjectType DATE_TIME

      A DateTime type.

    - #### BOOLEAN

          public static final UserConfigurationDictionaryObjectType BOOLEAN

      A Boolean type.

    - #### BYTE

          public static final UserConfigurationDictionaryObjectType BYTE

      A byte type.

    - #### STRING

          public static final UserConfigurationDictionaryObjectType STRING

      A string type.

    - #### INTEGER32

          public static final UserConfigurationDictionaryObjectType INTEGER32

      A 32-bit integer type.

    - #### UNSIGNED_INTEGER32

          public static final UserConfigurationDictionaryObjectType UNSIGNED_INTEGER32

      A 32-bit unsigned integer type.

    - #### INTEGER64

          public static final UserConfigurationDictionaryObjectType INTEGER64

      A 64-bit integer type.

    - #### UNSIGNED_INTEGER64

          public static final UserConfigurationDictionaryObjectType UNSIGNED_INTEGER64

      A 64-bit unsigned integer type.

    - #### STRING_ARRAY

          public static final UserConfigurationDictionaryObjectType STRING_ARRAY

      A string array type.

    - #### BYTE_ARRAY

          public static final UserConfigurationDictionaryObjectType BYTE_ARRAY

      A byte array type.

  - ### Method Detail

    - #### values

          public static UserConfigurationDictionaryObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UserConfigurationDictionaryObjectType c : UserConfigurationDictionaryObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UserConfigurationDictionaryObjectType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null